• English
  • Query Recharge Account

    Request Path

    [POST] /api/v2/bill-payment/rechargeaccount/query

    Parameter List

    NameTypeLengthRequiredDescription
    sceneCodeString-YesBusiness scenario code【see detailed scenario codes】
    rechargeAccountString15YesRecharge account
    billerIdString32NoOperator ID (Betting Required)
    itemIdString32NoPackage ID (Betting Required)

    Return Values

    NameTypeLengthRequiredDescription
    billerString32NoMobile phone number corresponding operator

    Postman Request Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/rechargeaccount/query' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{"requestTime":1713924207725,"nonceStr":"PcTcEkSGFBCjiEhJmrdb56csbbzGkwHh","version":"V2","sceneCode":"airtime","rechargeAccount":"023409551234911"}'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "biller": "GLO"
      },
      "status": true
    }

    Common Error Codes

    Please refer to the document

    Business Error Codes

    Error CodeError DescriptionSolution
    SBP.INVALID_PARAMETERInvalid parameterCheck the request parameters and resend after making corrections
    SBP.INVALID_SCENE_CODEInvalid scenario codeCheck the scenario code and resend after making corrections
    SBP.BILLER_DISABLEOperator unavailableCheck if the Operator ID is correct or if the Operator status is available
    SBP.ITEM_DISABLEItem unavailableCheck if the Item ID is correct or if the Operator status is available
    SBP.INVALID_RECHARGE_ACCOUNTRecharge Account invalidCheck if the Recharge Account is valid